import { OnModuleInit } from "@nestjs/common";
import { ConfigService } from "@nestjs/config";
import { SettingsService } from "../settings/settings.service";
export declare class MailService implements OnModuleInit {
    private config;
    private settings;
    private transporter;
    constructor(config: ConfigService, settings: SettingsService);
    onModuleInit(): Promise<void>;
    reloadTransporter(): Promise<void>;
    sendVerificationCode(to: string, code: string, name: string): Promise<void>;
}
